<?php
namespace Teknisa\EST\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Setforms2\Shared\ORM\DateTime;

class Est08800PrevisaoComprasPrazoExpedicaoFornecedorService {
    
    protected $entityManager;
    protected $newCode;
    protected $environment;
    protected $dataSourceManager;
    
    public function __construct($entityManager, $newCode, $environment, $dataSourceManager) {
        $this->connection = $entityManager->getConnection();
        $this->newCode = $newCode;
        $this->environment = $environment;
        $this->dataSourceManager = $dataSourceManager;
    }
    
    public function funcaoGridDados($row) {
        
        $query = "SELECT NMFANTFORN, CDFILIAL, NMFILIAL, CDARVPROD, NMPRODUTO, CDPRODUTO, SGUNIDADE, DTOPERACAO, QTDIAESTOQUE, QTDIASPRAZOEXPED, QTPONTOREPOSICAO, QTMEDIA, QTMEDIATOTAL, QTESTOQUE, QTENTRADAS, QTSAIDAS, QTACOMPRAR, '' NRORG FROM TABLE(QUERY_PONTO_REPOSICAO(:P_CDFILIAL, :P_DTINI, :P_DTFIN, :P_CDGRUPPROD, :P_CDSUBGRPROD, :P_CDPRODINI, :P_CDPRODFIN, :P_QTDIAESTOQUE))";
                       
        try {
            $result = $this->connection->fetchAll($query, $row);
            
            return $result;
        } catch(Exception $e) {
            throw $e;
        }
    }
}